{
  config,
  lib,
  pkgs,
  hyprgrass,
  ...
}:
{
  options.desktop.touchSupport = lib.mkEnableOption "Enables touch-related features";
  config.wayland.windowManager.hyprland = lib.mkIf config.desktop.touchSupport {
    plugins = [ hyprgrass.packages.${pkgs.system}.default ];

    settings.plugin.touch_gestures = {
      sensitivity = 2.0;
      workspace_swipe_fingers = 3;
      workspace_swipe_edge = "d";

      long_press_delay = 500;
      resize_on_border_long_press = true;
      edge_margin = 20;
    };
  };
}
